.customer-component {
  height: inherit;
  display: grid;
  grid-template-rows: 25% 1fr;
  grid-template-columns: 1fr;
  background: url("../../assets/img/customer-bkg.jpg") center;
  background-size: cover;
  min-height: 600px;

  &::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    z-index: 0;
    background: #403a3a;
    backdrop-filter: blur(4px);
    -webkit-backdrop-filter: blur(4px);
    opacity: 0.9;
  }

  &--header {
    z-index: 1;
    color: #fff;

    h1 {
      font-weight: 700;
      font-size: 4em;
      margin-top: 1em;
      text-align: center;
    }
  }

  &--content {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: 15rem 1fr;
    text-align: center;
    padding: 0 5em 0;

    a {
      position: relative;
      cursor: pointer;

      .flag-badge {
        position: absolute;
        top: 0;
        left: 5%;
        height: 45px;
        width: 80px;
        height: 40px;
      }
    }

    img {
      width: 90%;
      height: 12rem;
      object-fit: cover;
    }

    h2 {
      color: #fff;
      font-size: 2vw;
      font-weight: 700;
      margin: 0.5em 0;
    }
  }

  @media (max-width: 992px) {
    .btn-dist {
      display: none;
    }

    &--content {
      grid-template-columns: 1fr 1fr;
      grid-template-rows: 1fr 1fr;
      padding: 0 10em 10em;
    }
  }

  @media (max-width: 768px) {
    grid-template-rows: 22% 78%;

    &--content {
      grid-template-columns: 1fr;
      grid-template-rows: 1fr;
      padding: 0;
      overflow-y: scroll;
      height: calc(100% - 3em);

      img {
        object-fit: fill;
        height: 120px;
        object-fit: cover;
      }

      h2 {
        font-size: 1.5em;
        font-weight: 600;
        margin: 0.5em 0;
      }
    }

    &--header {
      h1 {
        margin-top: 105px;
        font-size: 38px;
      }
    }
  }
}